org.apache.ignite.internal.processors.cache

## Class CacheEntryImplEx<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntryImpl<K,V>
  - - org.apache.ignite.internal.processors.cache.CacheEntryImplEx<K,V>

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.Cache.Entry<K,V>, CacheEntry<K,V>

    public class CacheEntryImplEx<K,V>
    extends CacheEntryImpl<K,V>
    implements CacheEntry<K,V>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheEntryImplEx()` Required by `Externalizable`.
`CacheEntryImplEx(K key, V val, GridCacheVersion ver)`

### Method Summary

Methods
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`GridCacheVersion` `version()` Returns a comparable object representing the version of this cache entry.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheEntryImpl

`getKey, getValue, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.cache.Cache.Entry

`getKey, getValue, unwrap`

### Constructor Detail

#### CacheEntryImplEx

    public CacheEntryImplEx()

Required by `Externalizable`.

#### CacheEntryImplEx

    public CacheEntryImplEx(K key,
                    V val,
                    GridCacheVersion ver)

Parameters:
  `key` - Key.
  `val` - Value (always null).
  `ver` - Version.

### Method Detail

#### version

    public GridCacheVersion version()

Returns a comparable object representing the version of this cache entry.

It is valid to compare cache entries' versions for the same key. In this case the latter update will be represented by a higher version. The result of versions comparison of cache entries of different keys is undefined.

Specified by:
  `version` in interface `CacheEntry<K,V>`
Returns:
  Version of this cache entry.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `CacheEntryImpl<K,V>`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `CacheEntryImpl<K,V>`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `CacheEntryImpl<K,V>`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017